d3.csv('https://gist.githubusercontent.com/PavaniMangugari/78aa8cf6cf09ffa58b2e1e4752006a7c/raw/6cbd1a1d8847959f6283376c5ea41006dbf94ed3/BonusICE', function(err, rows){

// creating a function to read csv file and return the attribute values as array  
function unpack(rows, key) {
	return rows.map(function(row)
	{ return row[key]; });}
  
//define the trace attributes for the plotly data
var trace2 = {
	x:unpack(rows, 'Vitamins'), 
  y:unpack(rows, 'Calcium'), 
  z:unpack(rows, 'Protein'),
	mode: 'markers',
	marker: {
		color: 'blue',
		size: 12,
		symbol: 'circle',
		line: {
		color: 'green',
		width: 1},
		opacity: 0.8},
	type: 'scatter3d'};

var data = [trace2];
  
//define the layouts -margin, axes value adn stules for the plotly data  
var layout = {
  margin: {
	l: 1,
	r: 1,
	b: 1,
	t: 1},
  scene: {
    xaxis: {
      title: 'Calcium',
      titlefont: {
         color: 'blue',
         family: 'Arial, Open Sans',
         size: 14
      }
    },
    yaxis: {
      title: 'Protein',
      titlefont: {
         color: 'green',
         family: 'Arial, Open Sans',
         size: 14
      }
    },
  zaxis: {
      title: 'vitamins',
      titlefont: {
         color: 'black',
         family: 'Arial, Open Sans',
         size: 14
      }
    }
   }
  };
  
// call the plotly newPlot method to plot the data
Plotly.newPlot('myDiv', data, layout);
});
